import Pristine from "pristinejs";

export default function() {

  const form = document.getElementById("listForm");
  const msg = document.getElementById("listSignupResult");
  const validator = new Pristine(form);

  form.addEventListener("submit", (e) => {
    e.preventDefault();

    if (validator.validate()) {
      form.reset();
      msg.innerText = "Sent...";
    } else {
      msg.innerText = "Failed to validate";
    }
  });
}
